<?php
/**
 *
 * this is a part of SiriusGallery 
 *
 * $Version 1.0 $
 * $Author: Olaf Herfurth / TerraProject  http://www.tecmu.de $
 * $Date: 2011 $
 *
 *
 * modifyed by Olaf Herfurth / TerraProject (www.terraproject.de) 12/2009
 * Slideshow with javascript :
 *       Copyright 2000-2003 Patrick Fitzgerald
 *       http://slideshow.barelyfitz.com/
 */

defined('mxMainFileLoaded') or die('access denied');

/* //// Beginn Blockkonfiguration  ////////////////////////// */
// Module name
$modulename="SiriusGallery";

// max. ANzahl der Bilder im Block
$limit=10;

// Liste der Alben, aus denen keine Bilder angezeigt werden sollen. Die ID's durch Komma trennen.
$cathidden=""; 

// Zeit zwischen den Bildwechseln in s
$Slide_Timeout=4;

// Hhe des Blockes in px
$scrollheight=120;

// Anzahl der gleichzeitig angezeigten Bilder
$maxwidth=3;


$showTitle=false; 

include_once (PMX_MODULES_PATH .$modulename.DS."core".DS."tabledef.php");
include_once (PMX_MODULES_PATH .$modulename.DS."inc".DS."functions.php");
include_once (PMX_MODULES_PATH .$modulename.DS."inc".DS."functions.sirius.php");

pmxHeader::add_script(PMX_MODULES_PATH .$modulename.DS."blocks".DS."js".DS."jcarousel.js");
pmxHeader::add_style(PMX_MODULES_PATH .$modulename.DS."blocks".DS."js".DS."skin.css");

mxGetLangfile($modulename);
$SGCFG=getConfigAll();

pmxHeader::add("<script type=\"text/javascript\">

function mycarousel_initCallback(carousel)
{
    // Disable autoscrolling if the user clicks the prev or next button.
    carousel.buttonNext.bind('click', function() {
        carousel.startAuto(0);
    });

    carousel.buttonPrev.bind('click', function() {
        carousel.startAuto(0);
    });

    // Pause autoscrolling if the user moves with the cursor over the clip.
    carousel.clip.hover(function() {
        carousel.stopAuto();
    }, function() {
        carousel.startAuto();
    });
};

jQuery(document).ready(function() {
    jQuery('#mycarousel').jcarousel({
        auto: ".$Slide_Timeout.",
        wrap: 'circular',
		scroll: 1,
        initCallback: mycarousel_initCallback
    });
});

</script>");

$content="";

if ($SGCFG['FRONT_BLOCKS_TITLEAUTO']==1) $blockfiletitle=""._SG_NEWEST_PICTURES."";
$subids=sg_getSubcatView(0);

$result=sql_query("select pid,aid,title,userid,thumb_url from ".SG_TABLE_PICTURE." where  aid in(".$subids.") and  published=1 and aid >0 order by datetime desc limit $limit");

$bid="_SGCENTERSLIDE01";

$pic = 0;
$out = "<div class=\"align-center\">";
$out .= "<style>.jcarousel-skin-tango .jcarousel-item { width: ".$SGCFG['THUMB_WIDTH']."px;    height: ".$SGCFG['THUMB_HEIGHT']."px;}
		.jcarousel-skin-tango .jcarousel-clip-horizontal {
			width:  ".intval($SGCFG['THUMB_WIDTH']*$maxwidth+($maxwidth-1)*35)."px;
			height: ".$scrollheight.";
			padding-left:15px;
			margin:auto;
		}
		.jcarousel-skin-tango .jcarousel-container-horizontal {
			width: 450px;
			/*padding: 10px 10px;*/
			text-align:center;
			height: ".intval($SGCFG['THUMB_HEIGHT']+10)."px;
			margin:auto;
			/*margin-right:auto;*/
		}
		.jcarousel-skin-tango .jcarousel-item-horizontal {
			margin-left: 0px;
			margin-right: 25px;
		}

		</style>";

$out .="<div class=\"align-center\"><ul id=\"mycarousel\" class=\"jcarousel-skin-tango\">";

while ($row = sql_fetch_array($result)) {
  
    $picture = str_replace("//","/",$row['thumb_url']);
    $piclink = ($linkdetail)?'modules.php?name=' . $modulename . '&amp;act=detail&amp;pic=' . $row['pid']:'';
	$title=($showTitle)?$row['title']:"";
     $out .="<li><img src=\"".$picture."\" alt=\"\" /></li>";	
//<a href=\"".$piclink."\" title=\"".$title."\" ></a>
}
$out .="</ul></div>";
$out .="<a href=\"modules.php?name=SiriusGallery\" >"._SG_INDEX."</a></div>";



$content = $out;
?>
